from setuptools import find_packages, setup

setup(name='fxapom',
      use_scm_version=True,
      description='Mozilla Firefox Accounts Page Object Model',
      long_description=open('README.rst').read(),
      classifiers=[
          'Development Status :: 5 - Production/Stable',
          'Intended Audience :: Developers',
          'License :: OSI Approved :: Mozilla Public License 2.0 (MPL 2.0)',
          'Operating System :: POSIX',
          'Operating System :: Microsoft :: Windows',
          'Operating System :: MacOS :: MacOS X',
          'Topic :: Software Development :: Testing',
          'Topic :: Utilities',
          'Programming Language :: Python',
          'Programming Language :: Python :: 2.6',
          'Programming Language :: Python :: 2.7',
          'Programming Language :: Python :: 3.6',
      ],
      keywords='mozilla',
      author='Firefox Test Engineering',
      author_email='firefox-test-engineering@mozilla.com',
      url='https://github.com/mozilla/fxapom',
      license='MPL 2.0',
      packages=find_packages(exclude=['ez_setup', 'examples', 'tests']),
      setup_requires=['setuptools_scm'],
      install_requires=['PyFxA', 'PyPOM'],
      include_package_data=True)
